const assert = require("assert");

const primes_generated = require("./primes.json");
const correct_primes = require("./primes1.json");

assert(
  primes_generated.length == correct_primes.length,
  "Number of primes generated is not equal to the number of correct primes",
);

for (let i = 0; i < primes_generated.length; i++) {
  if (primes_generated[i] !== correct_primes[i]) {
    console.error(
      `Incorrect prime at index ${i}: ${primes_generated[i]} | ${correct_primes[i]}`,
    );
    process.exit(1);
  }
}

console.log("All primes are correct");
console.log(
  "Last prime in generated primes: ",
  primes_generated[primes_generated.length - 1],
);
